/*
*	complex.h
*
*	Author: M. Reza Mozaffari
*	Physics Group, University of Qom
*	Created on: Dec. 2020
*/

#ifndef COMPLEX_H_
#define COMPLEX_H_

#include <iostream>
#include <cstdio>
#include <cmath>
using namespace std;

struct cmplx
{
	double x, y;
};

void print(cmplx);
cmplx scale(cmplx, double);
cmplx add(cmplx, cmplx);
cmplx sub(cmplx, cmplx);
cmplx conj(cmplx);
double norm(cmplx);
cmplx multi(cmplx, cmplx);
cmplx div(cmplx, cmplx);
double theta(cmplx);

#endif // COMPLEX_H_
